"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIError = void 0;
class APIError extends Error {
    constructor(status, payload) {
        super();
        Error.captureStackTrace(this, this.constructor);
        this.name = payload.code || status || 500;
        this.message = payload.message || this.name;
        this.log = payload;
    }
}
exports.APIError = APIError;
//# sourceMappingURL=APIError.js.map