

export class PluginError extends Error {
    log: any;

    constructor(payload: any) {
        super();
        Error.captureStackTrace(this, this.constructor);
        this.name = payload.code;
        this.message = payload.message || this.name;
    }
}