"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PluginError = void 0;
class PluginError extends Error {
    constructor(payload) {
        super();
        Error.captureStackTrace(this, this.constructor);
        this.name = payload.code;
        this.message = payload.message || this.name;
    }
}
exports.PluginError = PluginError;
//# sourceMappingURL=PluginError.js.map